From 2a2ec789abbc98521bf968d90dd806a1636edca8 Mon Sep 17 00:00:00 2001
From: luca abeni <luca.abeni@santannapisa.it>
Date: Thu, 18 Nov 2021 13:18:28 +0000
Subject: [PATCH 15/30] [PATCH 08/10] fix find_lock_later_rq

The overload check must be on the selected rq, not on the current one!
---
 kernel/sched/deadline.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/kernel/sched/deadline.c b/kernel/sched/deadline.c
index 6fe4fdd854d7..aec93747d6a3 100644
--- a/kernel/sched/deadline.c
+++ b/kernel/sched/deadline.c
@@ -2111,7 +2111,7 @@ static struct rq *find_lock_later_rq_ff(struct task_struct *task, struct rq *rq)
 		 * its earliest one has a later deadline than our
 		 * task, the rq is a good one.
 		 */
-		if (rq->dl.this_bw + task->dl.dl_bw < rq->dl.max_bw)
+		if (later_rq->dl.this_bw + task->dl.dl_bw < later_rq->dl.max_bw)
 			break;
 
 		/* Otherwise we try again. */
-- 
2.41.0

